function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/06_Laundry2_HO.lua', 'hidden_object', 'data/Scenes/06_Laundry2_Main.lua')
    
    AddTask(CreateTask('FLOWER',    'FLOWERS',    'Flower1', 'Flower2', 'Flower3'));
    AddTask(CreateTask('HAMMER',    '',           'Hammer'));
    AddTask(CreateTask('OLD_IRON',  'OLD_IRONS',  'OldIron1', 'OldIron2', 'OldIron3'));
    AddTask(CreateTask('JACKET',    'JACKETS',    'Jacket1', 'Jacket2'));
    AddTask(CreateTask('LAMP',      'LAMPS',      'Lamp1', 'Lamp2'));
    
    AddRandomTasks( CreateTask('BIG_BEN',          '',             'BigBen'),
                    CreateTask('BREASTPIN',        'BREASTPINS',   'Breastpin1', 'Breastpin2'),
                    CreateTask('BRIDGE',           '',             'Bridge'),
                    CreateTask('BUTTERFLY',        '',             'Butterfly'),
                    CreateTask('BUTTON',           '',             'Button'),
                    CreateTask('CANDLESTICK',      '',             'Candlestick'),
                    CreateTask('SPOOL_OF_THREAD',  '',             'Clew'),
                    CreateTask('FAN',              '',             'Fan'),
                    CreateTask('FEATHER',          '',             'Feather'),
                    CreateTask('GLOVES',           '',             'Gloves'),
                    CreateTask('HANDBAG',          '',             'Handbag'),
                    CreateTask('HORSES_HEAD',      '',             'HorsesHead'),
                    CreateTask('INSECT',           'INSECTS',      'Insect1', 'Insect2', 'Insect3'),
                    CreateTask('LOCK',             'LOCKS',        'Lock1', 'Lock2'),
                    CreateTask('PEARL_NECKLACE',   '',             'PearlNecklace'),
                    CreateTask('PIPE',             '',             'Pipe'),
                    CreateTask('PITCHER',          '',             'Pitcher'),
                    CreateTask('SCISSORS',         'SCISSORS',     'Scissors1', 'Scissors2'),
                    CreateTask('SHOES',            '',             'Shoes'),
                    CreateTask('SNAIL',            '',             'Snail'),
                    CreateTask('SOAP',             '',             'Soap'),
                    CreateTask('SOCK',             'SOCKS',        'Sock1', 'Sock2'),
                    CreateTask('SPIKE',            '',             'Spike'),
                    CreateTask('TROUSERS',         '',             'Trousers'),
                    CreateTask('VASE',             '',             'Vase'));
    
    local frogCompos = CreateFrogAnimation();
    frogCompos:AttachTo( play_field );
    frogCompos:SetZ(102)
    
    -- hide layers
    local ho_layers = {}
    ho_layers[''] = '';
    
	ho_layers['BG_Jacket1']  = 'Jacket1';
	ho_layers['BG_Sock1']    = 'Sock1';
	ho_layers['BG_Trousers'] = 'Trousers';
    
    for layerName, itemName in pairs(ho_layers) do
        if HasGameState("TaskObjectFound", game_state.scene_path.."("..itemName..")")
        then
            play_field:GetObject(layerName):SetOpacity(0);
        end
    end
    
    RegisterToolFindInfo('06_hammer');
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    local ho_layers = {}
    ho_layers[''] = '';
    
	ho_layers['BG_Jacket1']  = 'Jacket1';
	ho_layers['BG_Sock1']    = 'Sock1';
	ho_layers['BG_Trousers'] = 'Trousers';
    
    for layerName, itemName in pairs(ho_layers) do
        if object:GetName() == itemName then
            play_field:GetObject(layerName):ChangeOpacity(1,0,0.2);
        end
    end
    
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

function CreateFrogAnimation()

    function CreateFrog(composition, name, fps)
        if not fps then
            fps = 12
        end
        
        local element = CreateCompositionElement("data/Texture/Scenes/06_Laundry2/Zone_washer/Animations/frog.png");
        element:SetName(name);
        composition:AddElement(element);
            element:GetTexture():SetTextureRect(0,0,84,65);
            element:GetTexture():SetFrames(4);
            element:GetTexture():SetSpeed(fps);
            element:GetTexture():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
            element:GetTexture():Play();
        element:SetHotSpot(42, 32.5);
        element:SetParentElement(composition);
        return element;
    end
    
    createCompositionbackground = function()
    
        local compositionbackground = CreateCompositionSequence();
        local compositionDuration = 5.37203870537204;
        compositionbackground:SetDuration(compositionDuration);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/06_Laundry2/Zone_washer/Animations/tab.png");
        element:SetName("Layer_1");
        compositionbackground:AddElement(element);
        element:SetHotSpot(88.5, 118.5);
        element:SetParentElement(compositionbackground);
        element:SetXY(106.5, 599.5);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30);
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/06_Laundry2/Zone_washer/Animations/kam.png");
        element:SetName("Layer_2");
        compositionbackground:AddElement(element);
        element:SetHotSpot(57, 56);
        element:SetParentElement(compositionbackground);
        element:SetXY(830, 511);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30);
        effector:Play();
    
    
        -- Layer Layer_3
        local element = CreateFrog(compositionbackground, "Layer_3", 0)
        element:SetXY(561.385543823242, 560.549118041992);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.2012012012012, 2.96963630296964);    
        effector:Play();
    
    
        -- Layer Layer_4
        local element = CreateFrog(compositionbackground, "Layer_4")
        element:SetXY(677.385543823242, 530.549118041992);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.4004004004004, 0.8004004004004);
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateFrog(compositionbackground, "Layer_5")
        element:SetXY(619.945220947266, 543.715469360352);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.8008008008008, 1.2008008008008);
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateFrog(compositionbackground, "Layer_6")
        element:SetXY(762.103454589844, 517.827590942383);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 0.4);
        effector:Play();
    
    
        -- Layer Layer_7
        local element = CreateFrog(compositionbackground, "Layer_7")
        element:SetXY(475.103454589844, 578.827590942383);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(3.26993660326994, 3.66993660326994);
        effector:Play();
    
    
        -- Layer Layer_8
        local element = CreateFrog(compositionbackground, "Layer_8")
        element:SetXY(415.103454589844, 594.827590942383);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(3.67033700367034, 4.07033700367034);
        effector:Play();
    
    
        -- Layer Layer_9
        local element = CreateFrog(compositionbackground, "Layer_9")
        element:SetXY(226.103454589844, 628.827590942383);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(4.57123790457124, 4.97123790457124);
        effector:Play();
    
    
        -- Layer Layer_10
        local element = CreateFrog(compositionbackground, "Layer_10")
        element:SetParentElement(compositionbackground);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(4.97163830497164, 5.37163830497164);
        effector:SetKey(_TRACK_X, 4.97163830497164, 162.603454589844);
        effector:SetKey(_TRACK_Y, 4.97163830497164, 640.577590942383);
        effector:SetKey(_TRACK_X, 5.33867200533867, 118.603454589844);
        effector:SetKey(_TRACK_Y, 5.33867200533867, 603.577590942383);
        effector:Play();
    
    
        -- Layer Layer_11
        local element = CreateFrog(compositionbackground, "Layer_11", 8)
        element:SetParentElement(compositionbackground);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(4.07073740407074, 4.57063730397064);
        effector:SetKey(_TRACK_X, 3.97063730397064, 358.103454589844);
        effector:SetKey(_TRACK_Y, 3.97063730397064, 607.827590942383);
        effector:SetKey(_TRACK_X, 4.17083750417084, 325.890439982249);
        effector:SetKey(_TRACK_Y, 4.17083750417084, 604.550232151178);
        effector:SetKey(_TRACK_X, 4.2042042042042, 320.479066190506);
        effector:SetKey(_TRACK_Y, 4.2042042042042, 603.774273001801);
        effector:SetKey(_TRACK_X, 4.23757090423757, 315.114111363489);
        effector:SetKey(_TRACK_Y, 4.23757090423757, 604.034808337306);
        effector:SetKey(_TRACK_X, 4.27093760427094, 309.77642276748);
        effector:SetKey(_TRACK_Y, 4.27093760427094, 606.493150586852);
        effector:SetKey(_TRACK_X, 4.42108775442109, 284.103454589844);
        effector:SetKey(_TRACK_Y, 4.42108775442109, 620.827590942383);
        effector:Play();
    
    
        -- Layer Layer_12
        local element = CreateFrog(compositionbackground, "Layer_12")
        element:SetXY(544.602562558447, 549.827590942383);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(2.96963630296964, 3.26953620286954);
        effector:Play();
    
        compositionbackground:Play();
    
        return compositionbackground;
    end
    
    return createCompositionbackground();
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/BigBen.png',0,0,25,63,1,0)
	anim:SetHotSpot(12,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BigBen',anim,355,164,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Book.png',0,0,80,15,1,0)
	anim:SetHotSpot(40,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Book',anim,346,215,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Breastpin1.png',0,0,34,29,1,0)
	anim:SetHotSpot(17,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Breastpin1',anim,718,209,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Breastpin2.png',0,0,77,18,1,0)
	anim:SetHotSpot(38,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Breastpin2',anim,300,373,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Bridge.png',0,0,74,43,1,0)
	anim:SetHotSpot(37,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bridge',anim,727,181,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Butterfly.png',0,0,39,34,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly',anim,72,335,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Button.png',0,0,32,29,1,0)
	anim:SetHotSpot(16,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button',anim,613,130,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Candlestick.png',0,0,91,116,1,0)
	anim:SetHotSpot(45,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Candlestick',anim,487,430,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Clew.png',0,0,43,31,1,0)
	anim:SetHotSpot(21,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew',anim,589,418,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Crown_coat_of_arms.png',0,0,58,52,1,0)
	anim:SetHotSpot(29,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crown_coat_of_arms',anim,492,236,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Fan.png',0,0,131,73,1,0)
	anim:SetHotSpot(65,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fan',anim,637,621,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Feather.png',0,0,46,45,1,0)
	anim:SetHotSpot(23,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Feather',anim,877,303,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Flower1.png',0,0,37,29,1,0)
	anim:SetHotSpot(18,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower1',anim,63,527,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Flower2.png',0,0,40,38,1,0)
	anim:SetHotSpot(20,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower2',anim,209,57,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Flower3.png',0,0,45,36,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower3',anim,746,409,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Gloves.png',0,0,76,79,1,0)
	anim:SetHotSpot(38,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Gloves',anim,70,580,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Handbag.png',0,0,58,46,1,0)
	anim:SetHotSpot(29,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Handbag',anim,442,258,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/HorsesHead.png',0,0,44,52,1,0)
	anim:SetHotSpot(22,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('HorsesHead',anim,399,241,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Hammer.png',0,0,48,98,1,0)
	anim:SetHotSpot(24,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hammer',anim,792,67,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Insect1.png',0,0,51,30,1,0)
	anim:SetHotSpot(25,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Insect1',anim,800,536,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Insect2.png',0,0,44,56,1,0)
	anim:SetHotSpot(22,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Insect2',anim,696,112,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Insect3.png',0,0,32,50,1,0)
	anim:SetHotSpot(16,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Insect3',anim,167,623,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Jacket1.png',0,0,98,178,1,0)
	anim:SetHotSpot(49,89)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Jacket1',anim,43,87,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Jacket2.png',0,0,98,121,1,0)
	anim:SetHotSpot(49,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Jacket2',anim,838,217,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Lamp1.png',0,0,92,103,1,0)
	anim:SetHotSpot(46,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp1',anim,958,88,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Lamp2.png',0,0,95,151,1,0)
	anim:SetHotSpot(47,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp2',anim,767,390,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Lock1.png',0,0,38,54,1,0)
	anim:SetHotSpot(19,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock1',anim,815,341,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Lock2.png',0,0,55,42,1,0)
	anim:SetHotSpot(27,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock2',anim,524,572,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/OldIron1.png',0,0,92,56,1,0)
	anim:SetHotSpot(46,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('OldIron1',anim,559,599,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/OldIron2.png',0,0,77,74,1,0)
	anim:SetHotSpot(38,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('OldIron2',anim,145,548,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/OldIron3.png',0,0,70,72,1,0)
	anim:SetHotSpot(35,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('OldIron3',anim,942,453,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/PearlNecklace.png',0,0,51,48,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PearlNecklace',anim,523,23,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Pipe.png',0,0,59,37,1,0)
	anim:SetHotSpot(29,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pipe',anim,143,498,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Pitcher.png',0,0,75,58,1,0)
	anim:SetHotSpot(37,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pitcher',anim,241,376,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Scissors1.png',0,0,73,57,1,0)
	anim:SetHotSpot(36,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors1',anim,586,493,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Scissors2.png',0,0,32,48,1,0)
	anim:SetHotSpot(16,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors2',anim,318,258,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Shoes.png',0,0,104,83,1,0)
	anim:SetHotSpot(52,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoes',anim,783,616,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Snail.png',0,0,40,35,1,0)
	anim:SetHotSpot(20,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Snail',anim,957,520,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Soap.png',0,0,56,46,1,0)
	anim:SetHotSpot(28,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Soap',anim,848,574,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Sock1.png',0,0,32,149,1,0)
	anim:SetHotSpot(16,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sock1',anim,322,87,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Sock2.png',0,0,51,119,1,0)
	anim:SetHotSpot(25,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sock2',anim,984,367,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Spike.png',0,0,78,36,1,0)
	anim:SetHotSpot(39,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spike',anim,456,515,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Trousers.png',0,0,107,148,1,0)
	anim:SetHotSpot(53,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Trousers',anim,458,78,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Items/Vase.png',0,0,35,82,1,0)
	anim:SetHotSpot(17,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Vase',anim,523,243,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_Jacket2.png',0,0,113,65,1,0)
	anim:SetHotSpot(56,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Jacket2',anim,838,184,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_PearlNecklace.png',0,0,57,23,1,0)
	anim:SetHotSpot(28,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_PearlNecklace',anim,519,9,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Animations/Caustic_anim.png',0,0,212,149,24,10)
	anim:SetHotSpot(106,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Caustic_anim',anim,642,257,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Animations/Water_anim.png',0,0,392,252,24,10)
	anim:SetHotSpot(196,126)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Water_anim',anim,828,642,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_Vase.png',0,0,23,89,1,0)
	anim:SetHotSpot(11,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Vase',anim,515,242,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_Hummer.png',0,0,48,75,1,0)
	anim:SetHotSpot(24,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Hummer',anim,792,57,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_Jacket1.png',0,0,85,59,1,0)
	anim:SetHotSpot(42,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Jacket1',anim,43,23,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_Sock1.png',0,0,28,137,1,0)
	anim:SetHotSpot(14,68)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Sock1',anim,321,80,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry2/Zone_HO/Layers/BG_Trousers.png',0,0,105,150,1,0)
	anim:SetHotSpot(52,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Trousers',anim,461,75,102,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
